--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "DottedIndex mixin: extend a Hash or Array class with this module to achieve [] and []= methods that automatically split indices at dots (indices are automatically converted to symbols, too)"
- !ruby/struct:SM::Flow::P 
  body: You have to define the single_retrieve(<em>key</em>) and single_assign(<em>key</em>,<em>value</em>) methods (usually aliased at the original :[] and :[]= methods)
constants: []

full_name: ""
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: rbot_index_split
name: ""
superclass: 
